services:
    lidarr:
        container_name: lidarr
        environment:
            - PUID=1000
            - PGID=1000
            - UMASK=022
            - TZ=America/Denver
        image: hotio/lidarr:testing
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.lidarr.entrypoints: websecure
            traefik.http.routers.lidarr.rule: Host(`lidarr.alexlebens.net`)
            traefik.http.routers.lidarr.service: lidarr
            traefik.http.routers.lidarr.middlewares: lidarr-theme@file
            traefik.http.services.lidarr.loadbalancer.server.port: 8686
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik:
                ipv4_address: 172.27.1.32
        restart: always
        privileged: true
        volumes:
            - lidarr:/config
            - storage_nfs:/mnt/store

    lidarr_exporter:
        command: lidarr
        container_name: lidarr_exporter
        depends_on:
            - lidarr
        environment:
            PORT: 9709
            URL: http://lidarr:8686
            APIKEY: d25bd6d24f4e4b90a21fc5b70bcb9fd9
        image: ghcr.io/onedr0p/exportarr:latest
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik:
                ipv4_address: 172.27.1.38
        restart: always

networks:
    traefik:
        name: traefik
        external: true

volumes:
    lidarr:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/servarr_lidarr

#    storage:
#        driver: local
#        driver_opts:
#            type: cifs
#            o: username=aurailious,password=24wrsfxv@$$WRSFXV,file_mode=0777,dir_mode=0777
#            device: "//192.168.1.194/Storage"

    storage_nfs:
        driver: local
        driver_opts:
            type: nfs
            o: addr=192.168.1.194,nfsvers=4
            device: :/volume2/Storage
